/tag/:uid/experiment
curl --request POST \
--url https://api.tagdeliver.com/v1/tag/{uid}/experiment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"audience_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"browser_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"description": "<string>",
"device_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"geo_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"region_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"subject": [
{
"allocation": 123,
"config_id": 123
}
],
"title": "<string>",
"url_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"viewport_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"os_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"end": "2023-12-25",
"start": "2023-12-25"
}
'import requests
url = "https://api.tagdeliver.com/v1/tag/{uid}/experiment"
payload = {
"audience_filter": {
"matches": ["<string>"],
"type": "<string>"
},
"browser_filter": {
"matches": ["<string>"],
"type": "<string>"
},
"description": "<string>",
"device_filter": {
"matches": ["<string>"],
"type": "<string>"
},
"geo_filter": {
"matches": ["<string>"],
"type": "<string>"
},
"region_filter": {
"matches": ["<string>"],
"type": "<string>"
},
"subject": [
{
"allocation": 123,
"config_id": 123
}
],
"title": "<string>",
"url_filter": {
"matches": ["<string>"],
"type": "<string>"
},
"viewport_filter": {
"matches": ["<string>"],
"type": "<string>"
},
"os_filter": {
"matches": ["<string>"],
"type": "<string>"
},
"end": "2023-12-25",
"start": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
audience_filter: {matches: ['<string>'], type: '<string>'},
browser_filter: {matches: ['<string>'], type: '<string>'},
description: '<string>',
device_filter: {matches: ['<string>'], type: '<string>'},
geo_filter: {matches: ['<string>'], type: '<string>'},
region_filter: {matches: ['<string>'], type: '<string>'},
subject: [{allocation: 123, config_id: 123}],
title: '<string>',
url_filter: {matches: ['<string>'], type: '<string>'},
viewport_filter: {matches: ['<string>'], type: '<string>'},
os_filter: {matches: ['<string>'], type: '<string>'},
end: '2023-12-25',
start: '2023-12-25'
})
};
fetch('https://api.tagdeliver.com/v1/tag/{uid}/experiment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"id": 583,
"uid": 18620,
"title": "Test Experiment",
"start": "2025-11-01",
"end": "2025-11-30",
"auto_activate": false,
"subject": [
{
"allocation": 50,
"config_id": 8388
},
{
"allocation": 50,
"config_id": 8389
}
],
"url_filter": {
"matches": [],
"type": "include"
},
"device_filter": {
"matches": [],
"type": "include"
},
"geo_filter": {
"matches": [],
"type": "include"
},
"audience_filter": {
"matches": [],
"type": "include"
},
"browser_filter": {
"matches": [],
"type": "include"
},
"viewport_filter": {
"matches": [],
"type": "include"
},
"region_filter": {
"matches": [],
"type": "include"
},
"status": 1,
"description": "",
"os_filter": {
"matches": [],
"type": "include"
}
},
"success": true
}Publisher/Experiment
/tag/:uid/experiment
Creates an experiment, where 2 or more configs are run against one another
POST
/
v1
/
tag
/
{uid}
/
experiment
/tag/:uid/experiment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Publisher ID
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I